Bug 9227 - smb.conf parameters can have several default values
smb.conf parameters can have several default values
Product: Samba 4.0
Classification: Unclassified
Component: Other
All All
: P5 major
: ---
Assigned To: Andrew Bartlett
Samba QA Contact
Depends on:
Blocks: 10077
  Show dependency treegraph
Reported: 2012-10-01 08:23 UTC by Karolin Seeger
Modified: 2014-07-08 11:38 UTC (History)
1 user (show)

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Karolin Seeger 2012-10-01 08:23:53 UTC
Quotation by Andrew Bartlett, samba-technical mailing list:

> +   allow dns updates New disabled                                                                                                
This defaults to 'secure only' in the lib/param code, but disabled (due                                                                                                        
to default initialisation) in the source3/param code.                                                                                                                          
In some ways this does not matter (it is only accessed via the lib/param                                                                                                       
code), but I'm certain it will cause much confusion in our user base.                                                                                                          
The challenge at this point I don't think it is practical to finish the                                                                                                        
loadparm merge.  Ideally we would only have one set of defaults, but                                                                                                           
efforts in this area dropped off as it stopped blocking other progress.                                                                                                        
We certainly should do more to align the defaults however.                                                                                                                                                                                                                     
Andrew Bartlett
Comment 1 Karolin Seeger 2012-10-18 07:27:18 UTC
If I understood Metze correctly, this does not need to be addressed before 4.0.0 final. Metze, can you comment, please?
Comment 2 Andrew Bartlett 2012-10-18 07:31:01 UTC
It's untidy, but I given our options I don't think this is worth delaying a release over.  The things that matter have their defaults set correctly.

Now that the defaults are dropped from the WHATSNEW, we can probably live with this.  We have to explain to users the difference between samba-tool testparm and testparm anyway.
Comment 3 Andrew Bartlett 2014-01-14 01:34:19 UTC
We now have patches for this, so mark this a blocker for 4.2
Comment 4 Stefan Metzmacher 2014-03-25 19:16:20 UTC
(In reply to comment #3)
> We now have patches for this, so mark this a blocker for 4.2

Andrew, this is fixed now in master, correct?
Comment 5 Andrew Bartlett 2014-03-25 20:47:11 UTC
The only exception is template homedir, because the two winbind implementations use different sub macros!

There is a different bug for that, and we should just swap to the 'winbindd' syntax for 4.2, and WHATSNEW it.  That is bug #10324. Due to the undocumented nature of the source4 syntax, it probably isn't used much, but we could support that also (in both) if we wanted.
Comment 6 Clement Wong 2014-07-08 10:21:00 UTC
(In reply to comment #5)

It looks like this is fixed now